# Visualization
TKV3d
Visual3d

# Visual3d_SetListOfSetOfView Class Reference

`#include <Visual3d_SetListOfSetOfView.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Visual3d_SetListOfSetOfView ()
Standard_EXPORT void | Assign (const Visual3d_SetListOfSetOfView &Other)
void | operator= (const Visual3d_SetListOfSetOfView &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~Visual3d_SetListOfSetOfView ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const Handle(Visual3d_View)&I)
Standard_EXPORT void | Prepend (const Handle(Visual3d_View)&I, Visual3d_ListIteratorOfSetListOfSetOfView &theIt)
Standard_EXPORT void | Prepend (Visual3d_SetListOfSetOfView &Other)
Standard_EXPORT void | Append (const Handle(Visual3d_View)&I)
Standard_EXPORT void | Append (const Handle(Visual3d_View)&I, Visual3d_ListIteratorOfSetListOfSetOfView &theIt)
Standard_EXPORT void | Append (Visual3d_SetListOfSetOfView &Other)
Standard_EXPORT Handle_Visual3d_View & | First () const
Standard_EXPORT Handle_Visual3d_View & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (Visual3d_ListIteratorOfSetListOfSetOfView &It)
Standard_EXPORT void | InsertBefore (const Handle(Visual3d_View)&I, Visual3d_ListIteratorOfSetListOfSetOfView &It)
Standard_EXPORT void | InsertBefore (Visual3d_SetListOfSetOfView &Other, Visual3d_ListIteratorOfSetListOfSetOfView &It)
Standard_EXPORT void | InsertAfter (const Handle(Visual3d_View)&I, Visual3d_ListIteratorOfSetListOfSetOfView &It)
Standard_EXPORT void | InsertAfter (Visual3d_SetListOfSetOfView &Other, Visual3d_ListIteratorOfSetListOfSetOfView &It)

## Private Member Functions

Standard_EXPORT | Visual3d_SetListOfSetOfView (const Visual3d_SetListOfSetOfView &Other)

## Private Attributes

Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT Visual3d_SetListOfSetOfView::Visual3d_SetListOfSetOfView | ( |  | ) |

Visual3d_SetListOfSetOfView::~Visual3d_SetListOfSetOfView | ( |  | ) | `[inline]`

Standard_EXPORT Visual3d_SetListOfSetOfView::Visual3d_SetListOfSetOfView | ( | const Visual3d_SetListOfSetOfView & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void Visual3d_SetListOfSetOfView::Append | ( | Visual3d_SetListOfSetOfView & | Other | ) |

Standard_EXPORT void Visual3d_SetListOfSetOfView::Append | ( | const Handle(Visual3d_View)& | I,
|  | Visual3d_ListIteratorOfSetListOfSetOfView & | theIt
| ) |

Standard_EXPORT void Visual3d_SetListOfSetOfView::Append | ( | const Handle(Visual3d_View)& | I | ) |

Standard_EXPORT void Visual3d_SetListOfSetOfView::Assign | ( | const Visual3d_SetListOfSetOfView & | Other | ) |

Standard_EXPORT void Visual3d_SetListOfSetOfView::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer Visual3d_SetListOfSetOfView::Extent | ( |  | ) | const

Standard_EXPORT Handle_Visual3d_View& Visual3d_SetListOfSetOfView::First | ( |  | ) | const

Standard_EXPORT void Visual3d_SetListOfSetOfView::InsertAfter | ( | Visual3d_SetListOfSetOfView & | Other,
|  | Visual3d_ListIteratorOfSetListOfSetOfView & | It
| ) |

Standard_EXPORT void Visual3d_SetListOfSetOfView::InsertAfter | ( | const Handle(Visual3d_View)& | I,
|  | Visual3d_ListIteratorOfSetListOfSetOfView & | It
| ) |

Standard_EXPORT void Visual3d_SetListOfSetOfView::InsertBefore | ( | Visual3d_SetListOfSetOfView & | Other,
|  | Visual3d_ListIteratorOfSetListOfSetOfView & | It
| ) |

Standard_EXPORT void Visual3d_SetListOfSetOfView::InsertBefore | ( | const Handle(Visual3d_View)& | I,
|  | Visual3d_ListIteratorOfSetListOfSetOfView & | It
| ) |

Standard_Boolean Visual3d_SetListOfSetOfView::IsEmpty | ( |  | ) | const

Standard_EXPORT Handle_Visual3d_View& Visual3d_SetListOfSetOfView::Last | ( |  | ) | const

void Visual3d_SetListOfSetOfView::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Visual3d_SetListOfSetOfView::operator new | ( | size_t | size | ) | `[inline]`

void* Visual3d_SetListOfSetOfView::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void Visual3d_SetListOfSetOfView::operator= | ( | const Visual3d_SetListOfSetOfView & | Other | ) | `[inline]`

Standard_EXPORT void Visual3d_SetListOfSetOfView::Prepend | ( | Visual3d_SetListOfSetOfView & | Other | ) |

Standard_EXPORT void Visual3d_SetListOfSetOfView::Prepend | ( | const Handle(Visual3d_View)& | I,
|  | Visual3d_ListIteratorOfSetListOfSetOfView & | theIt
| ) |

Standard_EXPORT void Visual3d_SetListOfSetOfView::Prepend | ( | const Handle(Visual3d_View)& | I | ) |

Standard_EXPORT void Visual3d_SetListOfSetOfView::Remove | ( | Visual3d_ListIteratorOfSetListOfSetOfView & | It | ) |

Standard_EXPORT void Visual3d_SetListOfSetOfView::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address Visual3d_SetListOfSetOfView::myFirst `[private]`

Standard_Address Visual3d_SetListOfSetOfView::myLast `[private]`

The documentation for this class was generated from the following file:

- Visual3d_SetListOfSetOfView.hxx